#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	obconf-qt
Version		:	0.16.3
Release		:	16.2.0.rel%{?dist}
Summary		:	%{name} a configuration editor for window manager

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/obconf-qt/releases


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	openbox
BuildRequires	:	lxqt-build-tools
BuildRequires	:	xdg-user-dirs
#-----------------------------------------------------------------------------
%description
'%{name}' is a Qt port of ObConf (http://openbox.org/wiki/ObConf:About),
a configuration editor for window manager OpenBox(http://openbox.org).


#-----------------------------------------------------------------------------
%prep
%setup -q
sed -i						\
  -e '/iostream/a #include <libxml/xmlsave.h>'	\
  -e 's/xmlErrorPtr/const xmlError*/'		\
  src/obconf-qt.cpp

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DPULL_TRANSLATIONS=no					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/translations/%{name}_*.qm

#-----------------------------------------------------------------------------
%changelog
